Bug 184641 - Creating a custom analysis task after fetching all analysis tasks fail
Summary: Creating a custom analysis task after fetching all analysis tasks fail
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Perf Dashboard (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-04-15 16:04 PDT by Ryosuke Niwa
Modified: 2018-04-30 16:57 PDT (History)
6 users (show)

See Also:


Attachments
Fixes the bug (12.46 KB, patch)
2018-04-15 16:35 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Fixes the bug (13.37 KB, patch)
2018-04-29 16:42 PDT, Ryosuke Niwa
saam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2018-04-15 16:04:54 PDT
When a custom analysis task is created after the list of all analysis tasks had been fetched / shown,
the step to show the newly created analysis task fail.
Comment 1 Ryosuke Niwa 2018-04-15 16:35:29 PDT
Created attachment 337984 [details]
Fixes the bug
Comment 2 Ryosuke Niwa 2018-04-29 16:34:18 PDT
Ping reviewers. This fixes the notorious bug where creating a new analysis task for perf try bots would throw an exception.
Comment 3 Ryosuke Niwa 2018-04-29 16:42:25 PDT
Created attachment 339101 [details]
Fixes the bug
Comment 4 Saam Barati 2018-04-29 17:31:50 PDT
r=me
Comment 5 Ryosuke Niwa 2018-04-30 16:56:23 PDT
Committed r231183: <https://trac.webkit.org/changeset/231183>
Comment 6 Radar WebKit Bug Importer 2018-04-30 16:57:20 PDT
<rdar://problem/39854913>